PySide 路在何方?

晨曦之光 发布于 2012/05/08 10:16
阅读 1K+
收藏 0

早上一爬起来,就看到一个不好的消息,Matti Airas 在PySide邮件列表 中说:

  • Currently, the vast majority of the PySide core development is done by the OpenBossa INdT team in Brazil and funded by Nokia's MeeGo Computers team - the PySide project has internally been an enabler for the MeeGo 1.2 Harmattan Python project. Unfortunately, the Nokia N9 is the only MeeGo (Harmattan) phone to be published by Nokia, and Nokia's MeeGo team is being ramped down already in the near future. Because of this, the Nokia MeeGo funding for PySide is slated to end after this year, and I have also failed to find a new sponsor for the project within Nokia.

上周(8月18)刚过完两周岁生日的PySide,一直以来是由位于巴西的OpenBossa INdT(Nokia Technology Institute)小组在 Nokia 的 MeeGo 计算机小组的资金资助下进行的。

不幸的是,Nokia的MeeGo小组似乎已经自身难保了,他们对PySide的支持预计将于明年结束。PySide新的支持者目前尚未找到。

Matti Airas 相信,即使没有Nokia这个接生婆的继续帮助,PySide项目应该也有存活并继续长大的能力。但这意味着,社区将在项目规划和实际开发中都要负担起领导的责任。

不管PySide未来的发展轨迹如何,Matti Airas认为下面4个问题是需要解决的:

The project leadership

目前Matti Airas是项目实际的leader,这可能不适合一个开放的项目

Core development

目前绝大部分开发是由core team完成的,与外界讨论很少

Development structure

代码review 和 merge 的流程,需要尽快有新人加入等

Development facilities

代码仓库,BugZilla等都是公开的,但是自动构建机器人等工具尚未公开

我与PySide

记录一下这段历史,顺便整理一下自己的思路:

  • PySide 最大的问题,和PyQt4相比,自身公开的开发资料似乎太少了 ...

2009.08.22

两年前的8月22日,即PySide诞生的第四天,自己在google page中胡乱写下了下面的文字

本周 PySide 团队宣布了PySide(Python for Qt)的首个公开版本,这是一个有Qt官方支持的一个开源项目,设计目的是提供一个LGPL的Python绑定Qt版本。

在这之前,Riverbank Computing已经提供有一个完整的Qt与Python绑定:PyQt。但由于Nokia 收购Qt后,在Qt原有GPL授权和商业授权的基础上增加了LGPL授权,而Riverbank Computing担心一旦pyqt增加 LGPL授权,则可能就没有收入支持PyQt的后续开发,于是不对PyQt提供相应的LGPL授权。

一方面大家期待有一个LPGL授权的python和Qt的绑定,一方面Nokia与Riverbank Computing交涉未果,或许还有很多其他原因,总之 Pyside诞生了。由于PySide由Qt的官方支持,且初期API与PyQt完全兼容,估计发展会很好很快(尽管对PyQt来说似乎很不公平)。

在这之前一直期待Nokia能收购PyQt,这样就皆大欢喜了,但不管两家公司间究竟发生了什么,既已如此,只好寄期待PyQt和PySide都能共同进步了。

除了python和Qt和绑定之外,还存在一个与python和Qt相关的开源项目:PythonQt,这个和绑定不同,它只是为Qt提供python脚本功能。

Python和Qt的组合是个好东西,接下来自己要好好学习Python,好好学习Qt了。

2009.08.22

2009.08.24

在 Kubuntu 安装 PySide 的 ppa 包,结果gui模块运行失败

在邮件列表中反映了这个问题(因为不会提交bug):

属于 Boost.Python的问题

2010.07.22

由于PySide迟迟不出Windows版,编译了 windows 版的 shiboken,然后编译PySide却连最基本的QtCore模块都没弄出来

2010.09.01

Windows版发布的第二天

发现预编译的PySide在MSVC预编译的Qt4.6.0下无法工作,与PySide说法有出入

讨论的结果是,预编译的PySide0.4.0Windows版需要Qt4.6.3及以上版本,否则需要自己编译

2011.03.27

再次尝试在Windows下编译PySide,乱撞成功

2011.05.05

尝试使用 Shiboken 创建C++及Qt4库的Python绑定,成功(但仍需要对cmake文件做修改)



原文链接:http://blog.csdn.net/dbzhang800/article/details/6714261
加载中
返回顶部
顶部